Forum: Ruby Installing rubygame on 1.9

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
john maclean (Guest)
on 2009-04-15 15:05
(Received via mailing list)
OS = Debian Lenny
version = 1.9
objective = install rubygame from gem
outcome = barf

any clues? Should I point gem to a directory?

 gem1.9 install rubygame --remote
Building native extensions.  This could take a while...
ERROR:  Error installing rubygame:
  ERROR: Failed to build gem native extension.

rake RUBYARCHDIR=/var/lib/gems/1.9.0/gems/rubygame-2.4.1/lib
RUBYLIBDIR=/var/lib/gems/1.9.0/gems/rubygame-2.4.1/lib
rake aborted!
no such file to load -- rubygems
/var/lib/gems/1.9.0/gems/rubygame-2.4.1/Rakefile:39:in `require'
(See full trace by running task with --trace)
(in /var/lib/gems/1.9.0/gems/rubygame-2.4.1)


Gem files will remain installed in
/var/lib/gems/1.9.0/gems/rubygame-2.4.1 for inspection.
Results logged to /var/lib/gems/1.9.0/gems/rubygame-2.4.1/gem_make.out



--
John M.
07739 171 531
MSc (DIC)

Timezone: GMT
Glen H. (Guest)
on 2009-04-15 19:20
(Received via mailing list)
On Wed, Apr 15, 2009 at 5:04 AM, john maclean 
<removed_email_address@domain.invalid> wrote:

>        ERROR: Failed to build gem native extension.
> Gem files will remain installed in
> Timezone: GMT
>
>
Is your environment set up correctly?  I had a similar problem after
unmasking and installing 1.9 on Gentoo.  Turned out the ebuild didn't
setup
the environment correctly.

--
"Hey brother Christian with your high and mighty errand, Your actions
speak
so loud, I can’t hear a word you’re saying."

-Greg Graffin (Bad Religion)
This topic is locked and can not be replied to.